﻿using System;
using Server.Mobiles;

namespace Server.Mobiles
{
    [CorpseName("a drow lizard corpse")]
    public class DrowLizard : BaseMount
    {
        [Constructable]
        public DrowLizard()
            : this("a drow lizard")
        {
        }

        [Constructable]
        public DrowLizard(string name)
            : base(name, 0xD2, 0x3EA3, AIType.AI_Animal, FightMode.Weakest, 10, 1, 0.2, 0.4)
        {
            Hue = 0x386 /* | whatever | hues | you | want | to | randomly | choose | from | go in | place | of these | words */ ;

            BaseSoundID = 0x270;

            SetStr(94, 140);
            SetDex(75, 120);
            SetInt(6, 10);

            SetHits(71, 88);
            SetMana(0);

            SetDamage(8, 14);

            SetDamageType(ResistanceType.Physical, 100);

            SetResistance(ResistanceType.Physical, 15, 20);

            SetSkill(SkillName.MagicResist, 27.1, 32.0);
            SetSkill(SkillName.Tactics, 29.3, 44.0);
            SetSkill(SkillName.Wrestling, 29.3, 44.0);

            Fame = 450;
            Karma = 0;

            Tamable = true;
            ControlSlots = 1;
            MinTameSkill = 29.1;
        }

        public override int Meat { get { return 3; } }
        public override FoodType FavoriteFood { get { return FoodType.Meat | FoodType.Fish; } }
        public override PackInstinct PackInstinct { get { return PackInstinct.Ostard; } }

        public DrowLizard(Serial serial)
            : base(serial)
        {
        }

        public override void Serialize(GenericWriter writer)
        {
            base.Serialize(writer);

            writer.Write((int)0); // version
        }

        public override void Deserialize(GenericReader reader)
        {
            base.Deserialize(reader);

            int version = reader.ReadInt();
        }
    }
}